Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.datamodel
Class Checkpoint

    java.lang.Object
      org.archive.crawler.datamodel.Checkpoint

All Implemented Interfaces:
  java.io.Serializable

    public class Checkpoint

extends java.lang.Object
implements java.io.Serializable

Record of a specific checkpoint on disk. Used recovering from a checkpoint or displaying list of checkpoints done so far.

Author:
  gojomo
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `VALIDITY_STAMP_FILENAME` Name of file written with timestamp into valid checkpoints.

Constructor Summary
`protected` | `Checkpoint()` Publically inaccessible default constructor.
`` | `Checkpoint(java.io.File checkpointDir)` Create a Checkpoint instance based on the given prexisting checkpoint directory

Method Summary
`java.io.File` | `getDirectory()`
`java.lang.String` | `getDisplayName()`
`java.lang.String` | `getName()`
`java.lang.String` | `getTimestamp()`
`boolean` | `hasBdbjeLogs()`
`boolean` | `isValid()`
`protected void` | `readValid()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALIDITY_STAMP_FILENAME

    public static final java.lang.String VALIDITY_STAMP_FILENAME

  Name of file written with timestamp into valid checkpoints.

  See Also:
    Constant Field Values

Constructor Detail

### Checkpoint

    protected Checkpoint()

  Publically inaccessible default constructor.

### Checkpoint

    public Checkpoint(java.io.File checkpointDir)

  Create a Checkpoint instance based on the given prexisting checkpoint directory

  Parameters:
    `checkpointDir` - Directory that holds checkpoint.

Method Detail

### readValid

    protected void readValid()

### isValid

    public boolean isValid()

  Returns:
    Return true if this checkpoint appears complete/resumable (has 'valid' stamp file).

### getName

    public java.lang.String getName()

  Returns:
    Returns name of this Checkpoint

### getDisplayName

    public java.lang.String getDisplayName()

  Returns:
    Return the combination of given name and timestamp most commonly used in administrative interface.

### getTimestamp

    public java.lang.String getTimestamp()

  Returns:
    Returns the timestamp.

### getDirectory

    public java.io.File getDirectory()

  Returns:
    Returns the checkpoint directory.

### hasBdbjeLogs

    public boolean hasBdbjeLogs()

  Returns:
    True if this checkpoint contains bdb logs (It won't if we're doing 'fast' checkpoints).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.